%define upstream_name    DateTime-Calendar-Discordian
%define upstream_version 1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    DateTime extension for the Discordian calendar
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Locale)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
The Discordian Calendar
    Seasons
            Name            Patron apostle
            ----            --------------
            Chaos           Hung Mung
            Discord         Dr. Van Van Mojo
            Confusion       Sri Syadasti
            Bureaucracy     Zarathud
            The Aftermath   The Elder Malaclypse

        Each season contains 73 consecutively numbered days.

    Holidays
            Apostle Holidays    Season Holidays
            ----------------    ---------------
            1) Mungday          1) Chaoflux
            2) Mojoday          2) Discoflux
            3) Syaday           3) Confuflux
            4) Zaraday          4) Bureflux
            5) Maladay          5) Afflux

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README LICENSE SIGNATURE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 510746
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 365548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 1.0.0-2.mga3
+ Revision: 322661
- New rel
- Add summary and other correction

* Wed Nov 28 2012 shlomif <shlomif> 1.0.0-1.mga3
+ Revision: 322649
- imported package perl-DateTime-Calendar-Discordian


* Wed Nov 28 2012 cpan2dist 1.0-1mga
- initial mageia release, generated with cpan2dist
